Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wsee.conversation
Class ConversationUtils

    java.lang.Object
      weblogic.wsee.conversation.ConversationUtils

public class ConversationUtils
extends Object

This is a utiltily class for using Conversational Web Services. It allows you to do common things such as getting and setting conversation id, and setting configuration options.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ConversationUtils()`

Method Summary
`static String` | `getConversationId(Stub stub)` This method gets the conversation id on the stub.
`static int` | `getConversationMethodBlockTimeout(Stub stub)` This method gets the previously set block timeout.
`static Integer` | `getConversationVersion(Stub stub)` This method gets the current conversation version.
`static void` | `setConversationId(Stub stub, String id)` This method sets conversation id on the stub.
`static void` | `setConversationMethodBlockTimeout(Stub stub, int numsecs)` Set how long a conversational continue method should block while waiting for the server to assign a conversation id.
`static void` | `setConversationVersionOne(Stub stub)` Use version one converation (client assigned conversation id)
`static void` | `setConversationVersionTwo(Stub stub)` Use version two converation (server assigned conversation id) This is the default when no version property is set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversationUtils

    public ConversationUtils()

Method Detail

### getConversationId

    public static String getConversationId(Stub stub)
                                    throws ConversationIdNotYetAvailableException

  This method gets the conversation id on the stub. In case of server assigned conversation id, it will throw a ConversationIdNotYetAvailableException when it's still waiting for server to assign the id. In other cases where conversation id is not available, a null is returned.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the conversational invoke.
  Returns:
    Conversation id.
  Throws:
    `ConversationIdNotYetAvailableException` - The stub is still waiting for server to assign the conversation id.

### getConversationMethodBlockTimeout

    public static int getConversationMethodBlockTimeout(Stub stub)

  This method gets the previously set block timeout. A default value is returned if no such property was set. (Currently default is set to be 2 minutes)

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the conversational invoke.
  Returns:
    The current conversational continue method block timeout.

### getConversationVersion

    public static Integer getConversationVersion(Stub stub)

  This method gets the current conversation version. The possible values are: WLStub.CONVERSATION_VERSION_ONE, WLStub.CONVERSATION_VERSION_TWO

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the conversational invoke.
  Returns:
    The conversation version.

### setConversationId

    public static void setConversationId(Stub stub,
                                         String id)

  This method sets conversation id on the stub. This means it's using client assigned conversation id.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the conversational invoke.
    `id` - The conversation id to be set.

### setConversationMethodBlockTimeout

    public static void setConversationMethodBlockTimeout(Stub stub,
                                                         int numsecs)

  Set how long a conversational continue method should block while waiting for the server to assign a conversation id.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the conversational invoke.
    `numsecs` - The number of seconds to wait.

### setConversationVersionOne

    public static void setConversationVersionOne(Stub stub)

  Use version one converation (client assigned conversation id)

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the conversational invoke.

### setConversationVersionTwo

    public static void setConversationVersionTwo(Stub stub)

  Use version two converation (server assigned conversation id) This is the default when no version property is set.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the conversational invoke.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD